Skip to main content
GET
Get automated project creation settings by ID

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

settingsId
string
required

Identifier of the automated project creation settings

Response

OK

frequency
object
required
id
string
required

Unique identifier of the automated project creation settings

monitoredFolders
object[]
required

Remote folders being monitored

name
string
required

Name of the automated project creation settings. Maximum 255 characters.

Maximum string length: 255
active
boolean

When true, the automated project creation is active and runs on its schedule

continuousProject
boolean

When true, files are imported into a single continuously updated project

createProjectAutomation
object
deprecatedTargetLangs
string[]

Previously selected target language codes that are no longer available

initialIterationMode
enum<string>

Mode used for the first run of the automated project creation

Available options:
DRY_RUN,
FULL_RUN
projectCreationMode
enum<string>

How files are grouped into created projects

Available options:
ALL_FILES_IN_SINGLE_PROJECT,
BY_FOLDER,
EACH_FILE_IN_SEPARATE_PROJECT
selectedTargetLangs
string[]

Target language codes currently selected for the created projects

sourceLang
string

Source language code of the created projects

sourceUpdateAutomation
object
targetUpdateAutomation
object
translationExports
object[]

Translation-export configuration entries

warnings
object[]

Warnings raised while resolving the configuration

webhook
object